######## analisys ######################################
# Exemple de fichier décrivant les paramètres d'un script
# (afin de générer le formulaire dans le ctManager),
# et ses entrées/sorties (afin de le conecter à d'autres scripts)
# Type de paramètres : list, text, int, string, (...)
# Ce fichier est à renommer en "nom_du_script.yml" et à mettre dans le répertoire du script
###########################################################

##
############## Description du script lui-même pour l'utilisateur de ctManager, ainsi que les formats d'entrée/sorties ############################
##

script:
  name: data_slicer
  desc: Fine Tune any data field
  type: analysis
  author: jean-philippe cointet
  documentation: https://docs.cortext.net/data-slicer/
  tags: [clean data]
  inputs:
   -
      type: db
      structure: reseaulu
      type: sqlite

  outputs:
    -
      type: json
      name: visu
      structure: protovis
  outputs:
    -
      type: gexf
      name: visu
      structure: sigma
      

##
############## Paramètres du scripts (construction du formulaire utilisateur et variables renvoyées aux script) ############
##
section:
  sect1:
    label: Period slices definition
    order: 1
    required: yes
    opened: yes    
    params:
      container:
        label: Container to be used
        help: Special parameter removed before instantiating CortextMethod
        required: yes
        type: list
        widget:
          choices: ["docker:cortext-methods/data-slicer"]
          default: "docker:cortext-methods/data-slicer"
      project_path:
        type: string
        default: ""
      data_table:
        label: Data
        help: Define the fields from which the data will be binned (WARNING -  only integer type data should be used)
        type: list
        required: yes
        widget:     
          source: descriptor
          multiple: no
          expanded: yes
          choices: totaltables
      nb_bins:
        label: "Number of bins (or personnalized intervals)"
        help: "Enter the number of bins you wish to create or type your personnalized intervals. For instance to produce 5 bins disitnguishing between very negative, negative, neutral, positive and very positive sentiment polarity, you would enter: [-10:-4];[-3:-1];[0];[1:3];[4:10]"
        type: string
        required: yes
        widget:
          source: no
          default: "3"
          hide: no
      data_cut_type:
        label: Distribution type if a number of slices was entered
        help: 'regular bins will split the data into uniform data intevals, homogeneous data slices will split data such that roughly the same number of documents will fit in each interval (it may result as a reduction of the intended number of bins...)'        
        type: list
        widget: 
          source: list
          multiple: no
          expanded: yes
          choices: ['regular','homogeneous']
          default: homogeneous
      

        
